Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.javascript
Class JSWithDependencies

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.ajax4jsf.javascript.JSWithDependencies

All Implemented Interfaces:
  ScriptString, ScriptWithDependencies, ResourceLibrary

    public class JSWithDependencies

extends ScriptStringBase
implements ScriptWithDependencies

Wrapper object that adds dependencies to any object whether it implements `ScriptString` or not.

Author:
  asmirnov@exadel.com

Field Summary

Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase
`COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

Constructor Summary
`JSWithDependencies(java.lang.Object wrapped, java.lang.Iterable<ResourceKey> resources)`
`JSWithDependencies(java.lang.Object wrapped, ResourceKey... resources)`

Method Summary
`void` | `appendScript(java.lang.Appendable target)` Append JavaScript code to @link `Appendable`
`java.lang.Iterable<ResourceKey>` | `getResources()`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`appendScriptToStringBuilder, toScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.javascript.ScriptString
`appendScriptToStringBuilder, toScript`

Constructor Detail

### JSWithDependencies

    public JSWithDependencies(java.lang.Object wrapped,
                              java.lang.Iterable<ResourceKey> resources)

### JSWithDependencies

    public JSWithDependencies(java.lang.Object wrapped,
                              ResourceKey... resources)

Method Detail

### getResources

    public java.lang.Iterable<ResourceKey> getResources()

  Specified by:
    `getResources` in interface `ResourceLibrary`

### appendScript

    public void appendScript(java.lang.Appendable target)
                      throws java.io.IOException

  Description copied from interface: `ScriptString`
  Append JavaScript code to @link `Appendable`

  Specified by:
    `appendScript` in interface `ScriptString`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.